| Qore CdsRestClient Module Reference 2.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Member Functions | List of all members
CdsRestClient::DynamicsRestConnection Class Reference

For REST connections to Microsoft Dynamics. More...

Inheritance diagram for CdsRestClient::DynamicsRestConnection:
[legend]

## Public Member Functions
| constructor (hash< auto > config, *hash< auto > attr)
| creates the CdsRestConnection object
string | getType ()
| returns `"dynamics"`
Public Member Functions inherited from CdsRestClient::CdsRestConnection
| constructor (hash< auto > config, *hash< auto > attr)
| creates the CdsRestConnection object
*string | getAppName ()
| Returns the data provider application name this connection serves, if any.
string | getAuthorizationCodeRequest (hash< AuthCodeInfo > info=< AuthCodeInfo >{})
| Returns a URI for an authorization code request.
string | getAuthUrl (*bool allow_relative)
| Returns the OAuth2 auth URL or throws an exception if not set.
DataProvider::AbstractDataProvider | getDataProvider (*hash< auto > constructor_options)
| returns a data provider object for this connection
string | getOAuth2OptionName (string opt)
| Returns the OAuth2 option name for this connection.
hash< auto > | getOAuth2Options ()
| Returns OAuth2 options in a standard format.
string | getTokenUrl (*bool allow_relative)
| Returns the OAuth2 token URL or throws an exception if not set.
string | getType ()
| returns `"cdsrests"`
bool | hasDataProvider ()
| returns True as this connection returns a data provider with the getDataProvider() method
bool | isAuthTokenError (int status_code, hash< auto > headers, bool body_deserialized, *string body_content_type, auto body)
| Returns True if the response was related to an authorization token error.

## Public Attributes
const | ConnectionScheme = ...
| Connection entry info.
Public Attributes inherited from CdsRestClient::CdsRestConnection
const | ConnectionScheme = ...
| Connection entry info.
const | OAuth2AuthRequestOptions = ...
| options required to support the OAuth2 authorization code grant flow
const | OAuth2DifferentOptionMap = map {$1.value: $1.key}
| Different OAuth2 option map; standard name => extern name.
const | OAuth2Options = ...
| Maps CDS REST options to standard options.
const | OAuth2StandardToCdsOptionMap = map {$1.value: $1.key}
| Maps standard option names to CDS REST option names.

## Protected Member Functions
hash< ConnectionSchemeInfo > | getConnectionSchemeInfoImpl ()
| Returns the ConnectionSchemeInfo hash for this object.
Protected Member Functions inherited from CdsRestClient::CdsRestConnection
| checkAuthCodeFeature ()
| Sets the auth code feature if supported.
hash< ConnectionSchemeInfo > | getConnectionSchemeInfoImpl ()
| Returns the ConnectionSchemeInfo hash for this object.
CdsRestClient | getImpl (bool connect=True, *hash< auto > rtopts)
| returns a CdsRestClient object
| setChildCapabilities ()
| Sets child data provider capabilities.

## Additional Inherited Members
Static Protected Member Functions inherited from CdsRestClient::CdsRestConnection
static hash< auto > | getOptions (string url, *hash< auto > orig_opts)
| returns options for CdsRestConnection::constructor()

## Detailed Description

For REST connections to Microsoft Dynamics.

## Member Function Documentation

## ◆ constructor()

CdsRestClient::DynamicsRestConnection::constructor | ( | hash< auto > | config,
|  | *hash< auto > | attr )
| inline

creates the CdsRestConnection object

Parameters

  config | with the following keys: name (required string): the connection name display_name (optional string): the display name short_desc (optional string): a short description in plain text desc (optional string): a long description with markdown formatting url (required string): the connection URL opts (optional hash): connection options logger (optional LoggerInterface object): logger for the connection
  attr | optional connection attributes monitor (optional bool): should the connection be monitored? Default: True enabled (optional bool): is the connection enabled? Default: True locked (optional bool): is the connection locked? Default: False debug_data (optional bool): debug data? Default: False tags (optional hash): tags for the connection; no default value

Exceptions

  CONNECTION-OPTION-ERROR | missing or invalid connection option or attribute